Subject: Re: bug#20617: 23.4; sh-script.el indentation for "main" function

From: Glenn Morris <[email-masked]>
Date: Wed, 20 May 2015 12:54:38 -0400

Version: 24.1

Thibaut wrote:

>   When indenting sh script in "Shell-script" mode, I have this very
> strange behaviour with the funtion named 'main'
>   It indent on more time the line in the function AND the line after
> the function!
>
> example:---------------------------1: main( ) {
> 2:    echo "usage: $1"3:    exit 0
> 4:    }
> 5:    
> 6:    main $*
> ---------------------------(for lines 2 and 3 I have one Tab, for lines 4 to 6, I have 4 spaces)

Thanks for the report.
By experiment, this was fixed in Emacs 24.1.
Please upgrade (current is 24.5).